#
# spec file for package rubygem-msgpack
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-msgpack
Version:        1.2.9
Release:        bp153.1.18
%define mod_name msgpack
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubydevel}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
Url:            http://msgpack.org/
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Source2:        rubygem-msgpack-rpmlintrc
Source3:        gem2rpm.yml
Summary:        MessagePack, a binary-based efficient data interchange format
License:        Apache-2.0
Group:          Development/Languages/Ruby

%description
MessagePack is a binary-based efficient object serialization library. It
enables to exchange structured objects between many languages like JSON. But
unlike JSON, it is very fast and small.

%prep

%build

%install
%gem_install \
  --doc-files="ChangeLog LICENSE README.rdoc" \
  -f
%gem_cleanup

%gem_packages

%changelog
* Thu Mar 14 2019 Stephan Kulow <coolo@suse.com>
- updated to version 1.2.9
  see installed ChangeLog
  2019-03-13 version 1.2.9:
  * Hotfix release only for JRuby: 1.2.8-java was built incorrectly
  2019-03-11 version 1.2.8:
  * Fix a regression that MessagePack#unpack raises error if IO is assigned as the (only) argument
  * Improve compatibility that MessagePack#pack returns nil if IO is assigned as 2nd argument
* Sat Mar  2 2019 Stephan Kulow <coolo@suse.com>
- updated to version 1.2.7
  see installed ChangeLog
  2019-03-01 version 1.2.7:
  * Add Packer#write_bin and Packer#write_bin_header methods
* Mon Jan 14 2019 Stephan Kulow <coolo@suse.com>
- updated to version 1.2.6
  see installed ChangeLog
  2019-01-08 verison 1.2.6:
  * Update Ruby version 2.6 dependency (especially for Windows environment)
  * (version 1.2.4 and 1.2.5 were also releases for updated Ruby versions)
* Mon Jan 14 2019 mschnitzer@suse.com
- updated to version 1.2.6
  * Update Ruby version 2.6 dependency (especially for Windows environment)
  * (version 1.2.4 and 1.2.5 were also releases for updated Ruby versions)
* Sat Mar  3 2018 factory-auto@kulow.org
- updated to version 1.2.4
  see installed ChangeLog
* Fri Mar  2 2018 factory-auto@kulow.org
- updated to version 1.2.3
  see installed ChangeLog
  2018-03-02 version 1.2.3:
  * Add Ruby 2.5.0 binary in gem releases for Windows
* Thu Feb  8 2018 coolo@suse.com
- updated to version 1.2.2
  see installed ChangeLog
  2018-01-11 version 1.2.2:
  * Fix bug to occur SEGV occasionally (depends on GC timing) when exttype is used
  * Fix bug to encode an ext type with wrong type id if superclass is also registered as ext type
  2017-12-08 version 1.2.1:
  * Hotfix release only for JRuby: 1.2.0-java was built in incorrect way
* Thu Dec 14 2017 coolo@suse.com
- updated to version 1.2.0
  see installed ChangeLog
  2017-12-07 version 1.2.0:
  * Add MessagePack::Factory#dump and MessagePack::Factory#load as convenient methods
    like MessagePack.dump and MessagePack.load
  * Fix bug to accept MessagePack::Factory#register_type after #freeze
* Tue Feb 28 2017 coolo@suse.com
- updated to version 1.1.0
  see installed ChangeLog
  2017-02-28 version 1.1.0:
  * Fix the extention type handling to accept modules in addition to classes
* Thu Jan 26 2017 coolo@suse.com
- updated to version 1.0.3
  see installed ChangeLog
  2017-01-24 version 1.0.3:
  * Support Ruby 2.4
* Thu Nov 24 2016 wolfgang.engel@suse.com
- Adding rpmlintrc filter
* Wed Oct 19 2016 coolo@suse.com
- updated to version 1.0.2
  see installed ChangeLog
  2016-10-17 version 1.0.2:
  * Bump version up to release newer version to fix broken gem release for JRuby
* Mon Oct 17 2016 coolo@suse.com
- updated to version 1.0.1
  see installed ChangeLog
  2016-10-17 version 1.0.1:
  * Fix a bug to crash at packer when ext type is registered for superclass of packed object
  * Fix JRuby implementation about inconsistent API of Unpacker constructor
* Wed Sep 21 2016 wolfgang.engel@suse.com
- Initial package
